## Table of Contents

* [Philosophy](#philosophy)
* [About the Project](#about-the-project)
  * [Built With](#built-with)
* [Getting Started](#getting-started)
  * [Prerequisites](#prerequisites)
  * [Installation](#installation)
* [Usage](#usage)
* [License](#license)
* [Contact](#contact)

## Philosophy


Do you inconvenience yourself keeping track of ***thoughts, references*** and ***TODOs*** while working? Me too! So I decided to do something for us - note-shell.

We need an interactive console client to take quick notes and manage them for us, whether it be a random thought that we come across or a link that we want to revisit later.

This project is built on the grounds of making noting down something (anything) super easy, as well as detailed if needed.

***NOTE**: It is currently intended mainly for developers, who do not like to part with their termials, and anyone with a basic idea of using **python/pip** should be able to enjoy their experience. **Browser based GUI** coming soon!

## About


`Note-shell` records and manages your notes for you. It is a completely **terminal based** app, which interactively helps you maintain your daily notes.

***NOTE**: some features may not work as intended in a Windows environment. Feel free to raise issues if you face them😃

### Built With
* [Python](https://www.python.org/)
* [SQLite](https://www.sqlite.org/)

### Prerequisites

* [python](https://www.python.org/)
* [pip](https://pip.pypa.io/en/stable/)
* [notify-send](https://ss64.com/bash/notify-send.html) (this is required for reminder notifications, please install as per OS)

### Installation

1. Install the module
```sh
$ pip install note-shell
```

Thats it, start using it!

## Usage

This tool is highly interactive, hence it can be figured out on the fly. But lets see the modes it can be used in

1. interactive more  
Open your command prompt and type note to begin
```sh
$ note
```
2. cli options  
Type -h suffix to get help, it has all the features of interactive mode.
```sh
$ note -h
```

## License

Distributed under the MIT License. See `LICENSE` for more information.


## Contact

Nirabhra Tapaswi - nirabhratapaswi@gmail.com

[GITHUB](https://github.com/nirabhratapaswi/note-shell)  
[PYPI](https://pypi.org/project/note-shell/)
